package ms.vmedinap.tfg.jwegenerator;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;

/**
 * Trabajo: TFG
 * Título: Seguridad adicional frente a ciber ataques “Man-In-The-Middle”
 * Carrera: Grado en Ingeniería Informática
 * Área: Ingeniería del Software
 * Curso: 2021-2022
 *
 * @author Víctor Medina Pérez
 */
@SpringBootApplication
@EnableEurekaClient
@EntityScan({"ms.vmedinap.tfg.dbcommons.models.entity"})
public class JweGeneratorApplication {

    public static void main(String[] args) {
        SpringApplication.run(JweGeneratorApplication.class, args);
    }

}
