package ms.vmedinap.tfg.jwegenerator.models.repository;

import ms.vmedinap.tfg.dbcommons.models.entity.Usuario;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;
import org.springframework.data.rest.core.annotation.RestResource;

/**
 * Trabajo: TFG
 * Título: Seguridad adicional frente a ciber ataques “Man-In-The-Middle”
 * Carrera: Grado en Ingeniería Informática
 * Área: Ingeniería del Software
 * Curso: 2021-2022
 *
 * @author Víctor Medina Pérez
 */
@RepositoryRestResource(path = "usuarios")
public interface UsuarioRepository extends CrudRepository<Usuario, String> {

    @RestResource(path = "findByEmail")
    Usuario findByEmail(@Param("email") String email);
}
