package ms.vmedinap.tfg.jwegenerator.models.request;


import ms.vmedinap.tfg.dbcommons.models.entity.Usuario;

import java.io.Serializable;

/**
 * Trabajo: TFG
 * Título: Seguridad adicional frente a ciber ataques “Man-In-The-Middle”
 * Carrera: Grado en Ingeniería Informática
 * Área: Ingeniería del Software
 * Curso: 2021-2022
 *
 * @author Víctor Medina Pérez
 */
public class JWERequest implements Serializable {

    private Usuario usuario;

    public JWERequest(Usuario usuario) {
        this.usuario = usuario;
    }

    public Usuario getUsuario() {
        return usuario;
    }

    public void setUsuario(Usuario usuario) {
        this.usuario = usuario;
    }
}
