package ms.vmedinap.tfg.oauthserver.service;

import ms.vmedinap.tfg.dbcommons.models.entity.Usuario;
import org.springframework.http.ResponseEntity;

/**
 * Trabajo: TFG
 * Título: Seguridad adicional frente a ciber ataques “Man-In-The-Middle”
 * Carrera: Grado en Ingeniería Informática
 * Área: Ingeniería del Software
 * Curso: 2021-2022
 *
 * @author Víctor Medina Pérez
 */
public interface UserService {

    Usuario findByEmail(String email);

    ResponseEntity<String> jweInfoByEmail(String email);

}
