package ms.vmedinap.tfg.paymentservice.api.services;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.nimbusds.jose.JOSEException;
import ms.vmedinap.tfg.paymentservice.api.errors.*;
import ms.vmedinap.tfg.paymentservice.api.models.request.CardRequest;
import ms.vmedinap.tfg.paymentservice.api.models.response.CardResponse;
import java.text.ParseException;
/**
 * Trabajo: TFG
 * Título: Seguridad adicional frente a ciber ataques “Man-In-The-Middle”
 * Carrera: Grado en Ingeniería Informática
 * Área: Ingeniería del Software
 * Curso: 2021-2022
 * @author Víctor Medina Pérez
 */
public interface CardService {
    CardResponse createCard(String jweData, CardRequest request) throws ParseException, JOSEException,
            JsonProcessingException, ApiException;
}
