package ms.vmedinap.tfg.paymentservice.api.models.request;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;
/**
 * Trabajo: TFG
 * Título: Seguridad adicional frente a ciber ataques “Man-In-The-Middle”
 * Carrera: Grado en Ingeniería Informática
 * Área: Ingeniería del Software
 * Curso: 2021-2022
 * @author Víctor Medina Pérez
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class OneTimeRequest implements Serializable {
    private String primaryAccountSuffix;
    private String charityId;
    private double ammount;
}
