package ms.vmedinap.tfg.paymentservice.api.services;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.nimbusds.jose.JOSEException;
import ms.vmedinap.tfg.paymentservice.api.errors.ApiException;
import ms.vmedinap.tfg.paymentservice.api.errors.DonorAlreadyExistsServiceException;
import ms.vmedinap.tfg.paymentservice.api.models.request.DonorRequest;
import ms.vmedinap.tfg.paymentservice.api.models.response.DonorResponse;

import java.text.ParseException;
/**
 * Trabajo: TFG
 * Título: Seguridad adicional frente a ciber ataques “Man-In-The-Middle”
 * Carrera: Grado en Ingeniería Informática
 * Área: Ingeniería del Software
 * Curso: 2021-2022
 * @author Víctor Medina Pérez
 */
public interface DonorService {
    DonorResponse createDonor(String jweData, DonorRequest request) throws ParseException, JOSEException,
            JsonProcessingException, ApiException;
}
