package ms.vmedinap.tfg.paymentservice.api.services;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.nimbusds.jose.JOSEException;
import ms.vmedinap.tfg.dbcommons.models.entity.Usuario;

import java.text.ParseException;
import java.util.Optional;
/**
 * Trabajo: TFG
 * Título: Seguridad adicional frente a ciber ataques “Man-In-The-Middle”
 * Carrera: Grado en Ingeniería Informática
 * Área: Ingeniería del Software
 * Curso: 2021-2022
 * @author Víctor Medina Pérez
 */
public interface JweService {
    Optional<Usuario> getUserInformation(String jweData) throws ParseException, JOSEException, JsonProcessingException;
}
