package ms.vmedinap.tfg.paymentservice.mastercard.service;

import ms.vmedinap.tfg.paymentservice.mastercard.models.MockedCardCreation;
import ms.vmedinap.tfg.paymentservice.mastercard.models.MockedDonorCreation;
import ms.vmedinap.tfg.paymentservice.mastercard.models.MockedOneTimeTransaction;

/**
 * Trabajo: TFG
 * Título: Seguridad adicional frente a ciber ataques “Man-In-The-Middle”
 * Carrera: Grado en Ingeniería Informática
 * Área: Ingeniería del Software
 * Curso: 2021-2022
 *
 * @author Víctor Medina Pérez
 */
public interface MockedService {
    MockedDonorCreation mockedDonorCreation(String userName);

    MockedCardCreation mockedCardCreation(String suffix);

    MockedOneTimeTransaction mockedOneTimeTransaction();
}
