package ms.vmedinap.tfg.paymentservice.models.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * Trabajo: TFG
 * Título: Seguridad adicional frente a ciber ataques “Man-In-The-Middle”
 * Carrera: Grado en Ingeniería Informática
 * Área: Ingeniería del Software
 * Curso: 2021-2022
 *
 * @author Víctor Medina Pérez
 */
@Entity
@Table(name = "charities", schema = "payments")
public class Charity implements Serializable {

    @Id
    @Column(name = "charity_id", length = 36)
    private String charity_id;

    @Column(name = "name", length = 60)
    private String charityName;

    @Column(length = 120)
    private String description;

    public String getCharity_id() {
        return charity_id;
    }

    public void setCharity_id(String charity_id) {
        this.charity_id = charity_id;
    }

    public String getCharityName() {
        return charityName;
    }

    public void setCharityName(String charityName) {
        this.charityName = charityName;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
